server.port=9004
#\u5FAE\u670D\u52A1\u7AEF\u53E3
spring.jmx.default-domain=project1
#\u6307\u5B9A\u7248\u672C
api.version=v1
#\u6307\u5B9Aencoding\u683C\u5F0F
server.tomcat.uri-encoding=UTF-8

# \u5B9A\u4E49swagger2\u5305\u8DEF\u5F84
swagger2.enable=true
swagger2.basepackage=com.steerinfo

#\u542F\u7528shutdown
# endpoints.shutdown.enabled=true
#\u7981\u7528\u5BC6\u7801\u9A8C\u8BC1
# endpoints.shutdown.sensitive=false
#7*24*60*60*1000
access.token.ttl=604800000
#3*7*24*60*60*1000
refresh.token.ttl=1814400000
#;/${api.version}/sys/**/export;/${api.version}/sys/**/import;/**,auth
# \u62E6\u622A\u5668\u9644\u52A0\u914D\u7F6E\uFF1A\u6BCF\u4E2Aurl\u8DEF\u5F84\u4EE5;\u5206\u9694\uFF1Burl\u7684\u9017\u53F7\u540Eauth\u8868\u793A\u9700\u8981\u8BA4\u8BC1\u540E\u624D\u80FD\u8BBF\u95EE\uFF0C\u6CA1\u6709\u6216\u8005anon\u8868\u793A\u4E0D\u6821\u9A8C
shiro.chains=/auth/login/**;/ktr/;/${api.version}/sys/**/export;/${api.version}/syspromachineauths/verify**;/${api.version}/sys/**/import;/**,auth
# \u62E6\u622A\u5668\u9644\u52A0\u914D\u7F6E\uFF1A\u6BCF\u4E2Aurl\u8DEF\u5F84\u4EE5;\u5206\u9694\uFF1Burl\u7684\u9017\u53F7\u540Eauth\u8868\u793A\u8BA4\u8BC1\u540E\u624D\u80FD\u8BBF\u95EE\uFF0C\u6CA1\u6709\u6216\u8005anon\u8868\u793A\u4E0D\u6821\u9A8C
shiro.chains.append=/swagger**;/idmg/**;/ktr/;/${api.version}/sysposts/list/user**;/webjars/**;/v2/api**;/images/**;/configuration/**;

# Redis\u7F13\u5B58\u914D\u7F6E
cache.level=1
#Redis\u7F13\u5B58\u914D\u7F6E
redis.host=127.0.0.1
redis.port=6379
redis.pwd=123456
redis.project.prefix=sysmanage
redis.pool.maxTotal=8
redis.pool.maxWaitMillis=1000
redis.pool.maxIdle=4
redis.cache.time=864000000
redis.database=6

#mq
#spring.rabbitmq.host=192.168.1.33
#spring.rabbitmq.port=5672
#spring.rabbitmq.username=admin
#spring.rabbitmq.password=admin

#\u65E5\u5FD7 purchase
#\u652F\u6301\u9AD8\u4EAE\u8F93\u51FA
spring.output.ansi.enabled=ALWAYS
spring.main.show-banner=false
logging.level.com.steer=ERROR
#DEBUG,INFO,WARN,ERROR

#\u56FD\u9645\u5316
spring.messages.basename=message
spring.messages.encoding=UTF-8

# MyBatis \u914D\u7F6E
mybatis.mapper-locations=classpath*:com/hnshituo/mapper/*.xml
###spring boot\u81EA\u52A8\u914D\u7F6E\u5355\u6570\u636E\u6E90###
#spring.datasource.url=jdbc:oracle:thin:@192.168.1.160:1521:orcl
#spring.datasource.username=sale
#spring.datasource.password=oracle

#wuliujiekou
openfeign.dil.url= ${DIL_URL:192.168.107.61:8000}
#openfeign.dil.url= ${DIL_URL:192.168.0.193:8092}

#\u591A\u6570\u636E\u6E90\u914D\u7F6E
#master
#multiple.datasource.master.driver-class-name=oracle.jdbc.driver.OracleDriver
#multiple.datasource.master.url=jdbc:oracle:thin:@192.168.102.45:1521/cxdb
#multiple.datasource.master.username=lims
#multiple.datasource.master.password=Lims123789

multiple.datasource.master.driver-class-name=oracle.jdbc.driver.OracleDriver
multiple.datasource.master.url=jdbc:oracle:thin:@10.99.200.87:1521/jgwzjl
multiple.datasource.master.username=lims
multiple.datasource.master.password=lims_2021

multiple.datasource.master.initial-size=15
multiple.datasource.master.min-idle=15
multiple.datasource.master.maxActive=15
multiple.datasource.master.maxWait=1000
multiple.datasource.master.timeBetweenEvictionRunsMillis=60000
multiple.datasource.master.minEvictableIdleTimeMillis=300000

#slave1
multiple.datasource.slave1.driver-class-name=
multiple.datasource.slave1.url=
multiple.datasource.slave1.username=
multiple.datasource.slave1.password=
#slave2
multiple.datasource.slave2.driver-class-name=
multiple.datasource.slave2.url=
multiple.datasource.slave2.username=
multiple.datasource.slave2.password=
#other
multiple.datasource.other.driver-class-name=
multiple.datasource.other.url=
multiple.datasource.other.username=
multiple.datasource.other.password=


web.upload-path=/static/
genxml.pth=/genxml/
spring.http.encoding.force=true
spring.mvc.static-path-pattern=/**
spring.resources.static-locations=classpath:/META-INF/resources/,classpath:/resources/,\
  classpath:/static/,classpath:/genxml/,classpath:/public/,file:${web.upload-path},file:${genxml.pth}

#是否将自己注册到Eureka Server上，默认为true
eureka.client.register-with-eureka=false  
#是否从Eureka Server上获取注册信息，默认为true
eureka.client.fetch-registry=false

#SSO
sso.url=https://jgwzjl.jiugang.com/icore.icp.web/pass
sso.appuser=appuser
sso.password=appuser@123456

server.tomcat.accept-count=500
server.tomcat.max-threads=400
server.connection-timeout=20000

logging.level.com=debug
